﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // 初回表示時はデータを作成  
        if (!IsPostBack)
        {
            DataColumn[] PrimaryColumn = new DataColumn[1];
            DataTable dt = new DataTable();
            PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Age", typeof(int));
            dt.Columns.Add("HomeTown", typeof(string));
            dt.Rows.Add(1, "たかし", 28, "静岡");
            dt.Rows.Add(2, "としひこ", 30, "大阪");
            dt.Rows.Add(3, "じゅんこ", 27, "鳥取");
            dt.Rows.Add(4, "さとみ", 28, "神奈川");
            dt.Rows.Add(5, "えりこ", 50, "東京");
            dt.Rows.Add(6, "しんいち", 32, "島根");
            dt.Rows.Add(7, "ゆみこ", 37, "静岡");
            dt.Rows.Add(8, "みな", 31, "兵庫");
            dt.Rows.Add(9, "たくや", 40, "徳島");
            dt.Rows.Add(10, "まゆ", 43, "三重");
            dt.PrimaryKey = PrimaryColumn;

            Session["data"] = dt;
        }
        // ポストバック毎にデータをバインド  
        this.WebDataGrid1.DataSource = Session["data"];
    }
    protected void WebDataGrid1_RowSelectionChanged(object sender, Infragistics.Web.UI.GridControls.SelectedRowEventArgs e)
    {
        // 選択行の ID セルの値を表示する場合
        this.Label1.Text = "現在の選択行： " + e.CurrentSelectedRows[0].Items[0].Text;

        // 選択行インデックスを表示する場合
        //this.Label1.Text = "現在の選択行： " + e.CurrentSelectedRows[0].Index.ToString();
    }
}